Summary:	A powerful, fast and reliable backup and sync tool
Name:		luckybackup
Version: 	0.2
Release: 	%mkrel 1
Source0:        %{name}-%{version}.tar.bz2
License: 	GPLv3
Group: 		Graphical desktop/KDE
Url: 		http://luckybackup.sourceforge.net/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#BuildRequires:	

%description 
luckyBackup

... a powerful, fast and reliable backup & sync tool

%files
%defattr(-,root,root)
%{_bindir}/luckybackup
%{_bindir}/luckybackup.pro
%{_datadir}/applications/kde4/luckybackup*
%{_datadir}/icons/hicolor/48x48/apps/luckybackup.png
%doc %{_datadir}/man/man8/luckybackup.8.lzma
%doc %{_datadir}/doc/luckybackup


%prep
%setup -q


%build
%qmake_qt4
%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_datadir}/doc
mkdir -p %{buildroot}/%{_datadir}/man/man8
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_datadir}/applications/kde4
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps
mkdir -p %{buildroot}/%{_datadir}/doc/luckybackup/data
install -m644 manual/index.html %{buildroot}/%{_datadir}/doc/luckybackup/
install -m644 manual/data/* %{buildroot}/%{_datadir}/doc/luckybackup/data/
install -m644 manpage/luckybackup.8 %{buildroot}/%{_datadir}/man/man8/
lzma %{buildroot}/%{_datadir}/man/man8/luckybackup.8
install -m755 luckybackup %{buildroot}/%{_bindir}/
install -m755 luckybackup.pro %{buildroot}/%{_bindir}/
install -m644 menu/luckybackup.desktop %{buildroot}/%{_datadir}/applications/kde4/
install -m644 menu/luckybackup-su.desktop %{buildroot}/%{_datadir}/applications/kde4/
install -m644 menu/luckybackup_48.png %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/luckybackup.png


%clean
rm -rf %{buildroot}


%changelog
* Sat Jan 24 2009 Oliver Burger <rpm@mandrivauser.de> 0.2-1mud2009.0
- initial package for Mandriva Linux
